DSC_0017.JPG=Robby.
DSC_0002.JPG=Matt finds a new resting place
DSC_0016.JPG=found room on the first floor along with
DSC_0008.JPG=Is there room for two?
DSC_0003.JPG=happily, I might add
DSC_0011.JPG=Maybe even three. That's Joe's hand who's
DSC_0007.JPG=and Korey decided to join him.
